jmarkov.jmdp.solvers

## Interface LPSolver<S extends State,A extends Action>

- Type Parameters:
    `S` -
    `A` -
  All Known Subinterfaces:
    MpsLpSolver<S,A>
  All Known Implementing Classes:
    LPBCLDiscountedSolver, MpsLpAverageSolver, MpsLpDiscountedSolver, MPSQsOptAverageSolver, MPSQsOptDiscountedSolver, MPSXpressAverage, MPSXpressDiscounted

      public interface LPSolver<S extends State,A extends Action>

  Author:
    German Riano. Universidad de los Andes. (C) 2006 This interface defines some methods necesary to implement an LP solver.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Solution<S,A>` | `buildSolution()` The implementator classes should override this class to build the solution after the model has been solved.
    `long` | `getBuildTime()` Returns the time taken to build and write the MPS file.
    `long` | `getLpSolveTime()` Return the time taken to solve the LP model.
    `long` | `getSolBuildTime()` Returns the time needed to build the Solution after the LP was solved.
    `void` | `solveLP()` The implementator classes should override this class to solve the problem using the mpsFile that has been created.

- - ### Method Detail

    - #### getBuildTime

          long getBuildTime()

      Returns the time taken to build and write the MPS file.
      Returns:
        Returns the buildTime.

    - #### getLpSolveTime

          long getLpSolveTime()

      Return the time taken to solve the LP model.
      Returns:
        Returns the lpSolveTime.

    - #### getSolBuildTime

          long getSolBuildTime()

      Returns the time needed to build the Solution after the LP was solved.
      Returns:
        Returns the solBuildTime.

    - #### solveLP

          void solveLP()
                       throws SolverException

      The implementator classes should override this class to solve the problem using the mpsFile that has been created.
      Throws:
        `SolverException`

    - #### buildSolution

          Solution<S,A> buildSolution()
                                                                   throws SolverException

      The implementator classes should override this class to build the solution after the model has been solved.
      Returns:
        The solution to the problem.
      Throws:
        `SolverException`